收藏
回答

WebSocket安卓低版本连接问题

框架类型 问题类型 API/组件名称 终端类型 微信版本 基础库版本
小程序 Bug WebSocket 客户端 7.0 2.5

页面加载时用wx.connectSocket连接服务器,安卓8.0版本的手机测试没有问题,安卓7.0以下就是提示连接失败。

请官方人员测试下可以吗?总是一句话敷衍了事,后面再回复就不回答了。到底是微信的问题、安卓的问题还是我自己的服务器的问题,能不能给个答复?





回答关注问题邀请回答
收藏

1 个回答

  • 社区技术运营专员-小柿子
    社区技术运营专员-小柿子
    2019-01-21

    请问下报错信息是什么呢?微信版本7.0的问题吗?

    2019-01-21
    有用
    回复 6
    • 马雪健
      马雪健
      2019-01-21

      测试过多个微信版本跟手机了,似乎跟微信版本没有关系,华为p10(安卓8.0)、魅族E(安卓7.0)没有问题,又用模拟器测试了几次5.1与4.4版本都不行,用朋友的手机(没注意型号)一个安卓5.1版本与两个安卓6.0版本的均失败,提交审核的时候也是有几次测试机是6.0版本说连接不上服务器,错误截图如下,我测试了创建connectSocket返回success,用wx.canIUse检查api也存在,希望解决下,



      2019-01-21
      回复
    • 马雪健
      马雪健
      2019-01-21回复马雪健

      主要是报错的前8行是什么原因造成的

      2019-01-21
      回复
    • 社区技术运营专员-小柿子
      社区技术运营专员-小柿子
      2019-01-22回复马雪健

      问题已知,在后续的微信版本进行修复,届时可尝试下

      2019-01-22
      回复
    • 马雪健
      马雪健
      2019-01-23回复社区技术运营专员-小柿子

      非常感谢

      2019-01-23
      回复
    • 社区技术运营专员-小柿子
      社区技术运营专员-小柿子
      2019-01-23回复马雪健

      这边重新看了下,是你的证书问题导致的,麻烦先检查下你的证书

      2019-01-23
      回复
    查看更多(1)
登录 后发表内容